%global npm_name less-loader

Name: nodejs-less-loader
Version: 8.0.0
Release: %mkrel 2
Summary: A Less loader for webpack
License: MIT
Group: Development/Other
URL: https://github.com/webpack-contrib/less-loader
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(klona) >= 2.0.3
Requires: npm(klona) < 3.0.0

BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Sat Jun 28 2025 umeabot <umeabot> 8.0.0-2.mga10
+ Revision: 2218228
- Mageia 10 Mass Rebuild

* Mon May 01 2023 daviddavid <daviddavid> 8.0.0-1.mga9
+ Revision: 1955590
- new version: 8.0.0
- loader-utils and schema-utils dependencies were removed upstream

* Fri Jun 24 2022 papoteur <papoteur> 7.0.1-3.mga9
+ Revision: 1865929
- Mass Rebuild for dependencies

* Wed Mar 23 2022 umeabot <umeabot> 7.0.1-2.mga9
+ Revision: 1820554
- Mageia 9 Mass Rebuild

* Wed Mar 03 2021 bcornec <bcornec> 7.0.1-1.mga9
+ Revision: 1696635
- Add upstream NodeJS package less-loader
- Created package structure for nodejs-less-loader.

